﻿* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: row;
}

.Tabs {
    width: 300px;
    display: flex;
    position: relative;
    flex-direction: column;
    background-color: rgb(228, 241, 241);
    flex-basis: 300px;
}

.Title {
    background-color: rgb(24, 199, 156);
    color: white;
    width: 100vw;
    height: 80px;
    font-size: 30px;
    padding: 20px 20px;
}

.tab-item {
    min-width: 100px;
    padding: 30px 20px 30px 0px;
    font-size: 20px;
    text-align: center;
    color: gray;
    background-color: rgb(228, 241, 241);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom: 5px solid transparent;
    opacity: 0.6;
    cursor: pointer;
    transition: all 0.5s ease;
}

.tab-icon {
    font-size: 24px;
    width: 32px;
    position: relative;
    top: 2px;
}

.tab-item:hover {
    opacity: 1;
    color: rgb(24, 170, 133);
    background-color: rgba(111, 123, 123, 0.215);
}

.tab-item.active {
    opacity: 1;
}

.Contents {
    margin: 80px 0 0 20px;
    flex-grow: 5;
}

.tab-pane {
    display: none;
}

    .tab-pane.active {
        display: block;
    }

#add {
    width: 100px;
    height: 30px;
    background-color: rgb(24, 199, 156);
    color: white;
    cursor: pointer;
    border: none;
    margin: 10px 0;
}

.ListItem {
    display: flex;
    flex-direction: column;
    max-height: 100%;
    overflow-y: auto;
    scroll-behavior: smooth;
}

.Item {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-top: 10px;
    border-bottom: 1px solid rgb(161, 173, 173);
}

    .Item img {
        width: 100px;
        height: 80px;
    }

    .Item p {
        margin: 30px 30px 0;
    }

    .Item .controller {
        margin-left: 50%;
        display: flex;
        width: 200px;
        justify-content: space-around;
        align-items: center;
    }

.icon {
    font-size: 30px;
    border: 0;
    cursor: pointer;
}

.fromGroup {
    width: 60%;
    margin: auto;
    display: block;
    height: 50px;
}

    .fromGroup input {
        float: right;
        width: 70%;
        height: 25px;
        margin-right: 0px;
        line-height: 50px;
    }

    .fromGroup b {
        font-size: 16px;
        padding-top: 5px;
    }

.img {
    margin: 20px 0px 20px 320px;
}

.modal {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
    position: fixed;
    z-index: 10;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 700px;
    height: 300px;
}

.modalButton {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

    .modalButton button {
        background-color: rgb(24, 199, 156);
        color: white;
        width: 90px;
        height: 30px;
        font-size: 20px;
        font-weight: bold;
        border: none;
    }

        .modalButton button:hover,
        .modalButton:focus {
            cursor: pointer;
            background-color: rgb(35, 139, 113);
        }
